var widget = {
    name: 'outer',
    type: 'FormGridLayout',
    title: 'calc',
    property: {enabled: true},
    child: [
        {
            name: 'inner1',
            type: 'FormGridLayout',
            property: {enabled: true, columns: 3},
            child:[
                {
                    name: 'line1',
                    type: 'LineEdit',
                    title: '参数1:',
                    property: {enabled: true},
                },
                {
                    name: 'combobox',
                    type: 'ComboBox',
                    title: '运算符:',
                    property: {
                        enabled: true, 
                        item_list:['+', '-', '*', '/'],
                    },
                },
                {
                    name: 'line2',
                    type: 'LineEdit',
                    title: '参数2:',
                    property: {enabled: true},
                },
            ]
        },
        {
            name: 'inner2',
            type: 'FormGridLayout',
            property: {enabled: true, columns: 2},
            child:[
                {
                    name: 'button',
                    type: 'ToolButton',
                    property: {enabled: true, text: '执行计算'},
                    callback: function(){
                        var line1Value = this.getObject('line1').getData();
                        var line2Value = this.getObject('line2').getData();
                        var combobox = this.getObject('combobox').getData();
                        var reg = /^[0-9]+.?[0-9]*$/;

                        if(line1Value == '' || line2Value == ''){
                            GUI.msgbox({
                                text: '参数不能为空！'
                            });
                        }else if(combobox == ''){
                            GUI.msgbox({
                                text: '运算符不能为空！'
                            });
                        }else if(reg.test(line1Value) == false || reg.test(line2Value) == false){
                            GUI.msgbox({
                                text: '参数只能是数字！'
                            });
                        }else{
                            var param1 = Number(line1Value);
                            var param2 = Number(line2Value);
                            
                            switch(combobox){
                                case '+':
                                    var result = param1 + param2;
                                    break;
                                case '-':
                                    var result = param1 - param2;
                                    break;
                                case '*':
                                    var result = param1 * param2;
                                    break;
                                case '/':
                                    var result = param1 / param2;
                                    break;
                            };
                            this.getObject('label').setData('value', String(result));
                        }
                    }
                },
                {
                    name: 'label',
                    type: 'LineEdit',
                    property: {enabled: true, alignment: 'left'},
                }
            ]
        }
    ],
};

var ret = GUI.showForm({
    'title': '计算器',
    'use_core_engine': true,
    'items': widget,
    'size': '500*500',
})
